webbrowser-app crashed with SIGSEGV in XQueryExtension()

Bug #1429135 reported by Christopher Townsend on 2015-03-06
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Oxide
High
Chris Coulson
1.5
High
Chris Coulson
1.6
High
Chris Coulson
oxide-qt (Ubuntu)
High
Unassigned
webbrowser-app (Ubuntu)
High
Unassigned

Bug Description

This occurs when starting the webbrowser app in a Unity 8 desktop session.

ProblemType: Crash
DistroRelease: Ubuntu 15.04
Package: webbrowser-app 0.23+15.04.20150227-0ubuntu1
ProcVersionSignature: Ubuntu 3.19.0-7.7-generic 3.19.0
Uname: Linux 3.19.0-7-generic x86_64
ApportVersion: 2.16.2-0ubuntu1
Architecture: amd64
Date: Thu Mar 5 10:41:06 2015
ExecutablePath: /usr/bin/webbrowser-app
InstallationDate: Installed on 2013-03-18 (717 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
ProcCmdline: webbrowser-app
ProcEnviron:
 PATH=(custom, no user)
 LANGUAGE=en_US
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: webbrowser-app
StacktraceTop:
 XQueryExtension () from /usr/lib/x86_64-linux-gnu/libX11.so.6
 XInitExtension () from /usr/lib/x86_64-linux-gnu/libX11.so.6
 XextAddDisplay () from /usr/lib/x86_64-linux-gnu/libXext.so.6
 ?? () from /usr/lib/x86_64-linux-gnu/libOxideQtCore.so.0
 ?? () from /usr/lib/x86_64-linux-gnu/libOxideQtCore.so.0
Title: webbrowser-app crashed with SIGSEGV in XQueryExtension()
UpgradeStatus: Upgraded to vivid on 2014-10-20 (136 days ago)
UserGroups: adm autopilot cdrom dip lpadmin plugdev sambashare sudo vboxusers

Christopher Townsend (townsend) wrote :

StacktraceTop:
 XQueryExtension (dpy=dpy@entry=0x7f7810000fc0, name=name@entry=0x7f7807166269 "NV-CONTROL", major_opcode=major_opcode@entry=0x7fffa8b08494, first_event=first_event@entry=0x7fffa8b08498, first_error=first_error@entry=0x7fffa8b0849c) at ../../src/QuExt.c:43
 XInitExtension (dpy=dpy@entry=0x7f7810000fc0, name=name@entry=0x7f7807166269 "NV-CONTROL") at ../../src/InitExt.c:47
 XextAddDisplay (extinfo=0x7f7807ffb8d0 <_nvctrl_ext_info_data>, dpy=0x7f7810000fc0, ext_name=ext_name@entry=0x7f7807166269 "NV-CONTROL", hooks=hooks@entry=0x7f7807f875c0 <nvctrl_extension_hooks>, nevents=nevents@entry=5, data=data@entry=0x80 <error: Cannot access memory at address 0x80>) at ../../src/extutil.c:110
 find_display (dpy=<optimized out>) at ../../../../third_party/chromium/src/third_party/libXNVCtrl/NVCtrl.c:76
 XNVCTRLQueryExtension (dpy=<optimized out>, event_basep=0x7fffa8b08538, error_basep=0x7fffa8b0853c) at ../../../../third_party/chromium/src/third_party/libXNVCtrl/NVCtrl.c:110

Changed in webbrowser-app (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Christopher Townsend (townsend) wrote :

This is what is in ~/.cache/upstart/application-legacy-webbrowser-app-.log:

** (process:3183): DEBUG: Unable to parse Application ID: webbrowser-app
** (process:3183): DEBUG: sql-schema.vala:204: schema_version is 10
[1425649146.014987] Loader: Loading modules from: /usr/lib/x86_64-linux-gnu/mir/client-platform/
[1425649146.015153] Loader: Loading module: /usr/lib/x86_64-linux-gnu/mir/client-platform/mesa.so.2
** (process:3182): DEBUG: Exporting menu model at [/com/canonical/hud/publisher] with id [1]
** (process:3182): DEBUG: Unable to send context change now, caching for reconnection
UbuntuWindow - regular geometry
UbuntuWindow::handleSurfaceResize(width=803, height=683)
[0306/083906:ERROR:gl_surface_egl.cc(198)] No suitable EGL configs found.
[0306/083906:ERROR:gl_surface_oxide_linux.cc(43)] GLSurfaceEGL::InitializeOneOff failed.
** (process:3251): DEBUG: Unable to parse Application ID: webbrowser-app
** (process:3251): DEBUG: sql-schema.vala:204: schema_version is 10
** (process:3260): DEBUG: Looking for cg manager '(null)' group '(null)'

information type: Private → Public
Olivier Tilloy (osomon) wrote :

Just tested the unity8 desktop session on my laptop with an up-to-date vivid, and while the session starts, the scopes window is completely empty. Launching anything from the launcher results in a window briefly opening and disappearing right away.
There’s no ~/.cache/upstart/application-legacy-webbrowser-app-.log log file, so I’m suspecting something’s wrong with the session and the browser app isn’t even executed.

Christopher Townsend (townsend) wrote :

Hey Olivier,

Sounds like you're hitting another issue in which the favorite scopes are empty. I saw something similar sometime ago, but not sure how it happens.

Try 'gsettings get com.canonical.Unity.Dash favorite-scopes' and see if it returns an empty list. If so, then try 'gsettings reset com.canonical.Unity.Dash favorite-scopes'.

Sebastien Bacher (seb128) wrote :

The daily iso is doing the same, Olivier you might want to "systemctl start cgmanager" or start->enable as well, if you followed vivid, the script was not enabled by default earlier in the cycle and upgrades don't automatically fix that

Changed in webbrowser-app (Ubuntu):
status: New → Confirmed
importance: Medium → High
Olivier Tilloy (osomon) wrote :

I am now able to reproduce the issue with a unity8 session on my laptop running an up-to-date vivid.

Changed in oxide-qt (Ubuntu):
status: New → Confirmed
Changed in webbrowser-app (Ubuntu):
status: Confirmed → Invalid
Changed in oxide:
importance: Undecided → High
status: New → Triaged
Changed in oxide:
assignee: nobody → Chris Coulson (chrisccoulson)
milestone: none → branch-1.7
Changed in oxide-qt (Ubuntu):
importance: Undecided → High
Changed in oxide:
status: Triaged → In Progress
Chris Coulson (chrisccoulson) wrote :
Changed in oxide:
status: In Progress → Fix Released
Chris Coulson (chrisccoulson) wrote :

WONTFIX for 1.5 as there's not likely to be another release from that branch now. This will be in the 1.6 release instead

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxide-qt - 1.6.5-0ubuntu0.14.10.1

---------------
oxide-qt (1.6.5-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * Update to v1.6.5
    - see USN-2570-1
    - Bump Chromium rev to 42.0.2311.90
    - Fix LP: #1442398 - Invalid read in CompositorOutputSurfaceGL
    - Fix LP: #1442458 - Minimum page scale shouldn't be 1 on mobile
      form-factors
    - Fix LP: #1400372 - Keyboard re-appears in webbrowser after dismissing
    - Fix LP: #1429135 - webbrowser-app crashed with SIGSEGV in
      XQueryExtension() on Unity 8 desktop
    - Fix LP: #1411159 - Proper fix for shutdown crash in
      content::GpuChannelHost::Send, removing the workaround from the 1.5
      branch
    - Fix LP: #1277659 - Add WebContext.maxCacheSizeHint property, to allow
      applications some control over the network cache size
    - Fix LP: #1427882 - TextureRefHolder will crash if the context is lost
    - Fix LP: #1430478 - Disable the GPU shader cache. Its memory footprint
      makes it inappropriate on mobile devices and it writes the cache to the
      current working directory if WebContext.dataPath isn't set
    - Set the pulse audio media role so that audio output can take part in
      pulse-level stream arbitration
    - Disable webcore debug symbols and link with --no-keep-files-mapped
      on native x86 builds because of linker OOM
    - Add OXIDE_ENABLE_GPU_DEBUGGING environment variable, which corresponds
      to --enable-gpu-debugging in Chrome
    - Fix renderer crash in debug builds when location bar height is set to
      zero
    - Remove a spurious DCHECK that fires sometimes when a render process dies
    - Add resources and strings required for built-in webui (eg, chrome://gpu/)
    - Add OXIDE_ENABLE_GPU_SERVICE_LOGGING environment variable, which
      corresponds to --enable-gpu-service-logging in Chrome
    - Miscellaneous fixes for media-hub audio playback
    - Use base::ThreadRestrictions::ScopedAllowIO when constructing
      net::HttpCache, as that makes use of base::CPU which does IO on Arm.
      Fixes a debug-mode startup abort
    - Various component build fixes
    - Don't statically link base in to oxide-renderer just to call
      SetReleaseFreeMemoryFunction. Instead, expose an API from oxide-core to
      allow oxide-renderer to call this without pulling in its own copy of base
    - Only disable use of EGL_EXT_create_context_robustness and
      GLX_ARB_create_context_robustness when the application provides a share
      context that hasn't been created with these extensions
    - Add OXIDE_DISABLE_GPU_DRIVER_BUG_WORKAROUNDS environment variable
    - Drop support for building with Qt < 5.2
    - Use net::URLRequest::IsHandledProtocol for checking if a scheme is
      builtin
    - Refactor how the GL implementation is selected, simplifying the code.
      Also add OXIDE_DISABLE_GPU and OXIDE_DISABLE_GPU_COMPOSITING environment
      variables for disabling all GPU features or GPU compositing respectively
    - Fix LP: #1446864 - OxideQQuickScriptMessage::reply doesn't work with
      Qt 5.4
 -- Chris Coulson <email address hidden> Wed, 15 Apr 2015 12:50:01 +0100

Changed in oxide-qt (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxide-qt - 1.6.5-0ubuntu0.15.04.1

---------------
oxide-qt (1.6.5-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * Update to v1.6.5
    - see USN-2570-1
    - Bump Chromium rev to 42.0.2311.90
    - Fix LP: #1442398 - Invalid read in CompositorOutputSurfaceGL
    - Fix LP: #1442458 - Minimum page scale shouldn't be 1 on mobile
      form-factors
    - Fix LP: #1400372 - Keyboard re-appears in webbrowser after dismissing
    - Fix LP: #1429135 - webbrowser-app crashed with SIGSEGV in
      XQueryExtension() on Unity 8 desktop
    - Fix LP: #1411159 - Proper fix for shutdown crash in
      content::GpuChannelHost::Send, removing the workaround from the 1.5
      branch
    - Fix LP: #1277659 - Add WebContext.maxCacheSizeHint property, to allow
      applications some control over the network cache size
    - Fix LP: #1427882 - TextureRefHolder will crash if the context is lost
    - Fix LP: #1430478 - Disable the GPU shader cache. Its memory footprint
      makes it inappropriate on mobile devices and it writes the cache to the
      current working directory if WebContext.dataPath isn't set
    - Set the pulse audio media role so that audio output can take part in
      pulse-level stream arbitration
    - Disable webcore debug symbols and link with --no-keep-files-mapped
      on native x86 builds because of linker OOM
    - Add OXIDE_ENABLE_GPU_DEBUGGING environment variable, which corresponds
      to --enable-gpu-debugging in Chrome
    - Fix renderer crash in debug builds when location bar height is set to
      zero
    - Remove a spurious DCHECK that fires sometimes when a render process dies
    - Add resources and strings required for built-in webui (eg, chrome://gpu/)
    - Add OXIDE_ENABLE_GPU_SERVICE_LOGGING environment variable, which
      corresponds to --enable-gpu-service-logging in Chrome
    - Miscellaneous fixes for media-hub audio playback
    - Use base::ThreadRestrictions::ScopedAllowIO when constructing
      net::HttpCache, as that makes use of base::CPU which does IO on Arm.
      Fixes a debug-mode startup abort
    - Various component build fixes
    - Don't statically link base in to oxide-renderer just to call
      SetReleaseFreeMemoryFunction. Instead, expose an API from oxide-core to
      allow oxide-renderer to call this without pulling in its own copy of base
    - Only disable use of EGL_EXT_create_context_robustness and
      GLX_ARB_create_context_robustness when the application provides a share
      context that hasn't been created with these extensions
    - Add OXIDE_DISABLE_GPU_DRIVER_BUG_WORKAROUNDS environment variable
    - Drop support for building with Qt < 5.2
    - Use net::URLRequest::IsHandledProtocol for checking if a scheme is
      builtin
    - Refactor how the GL implementation is selected, simplifying the code.
      Also add OXIDE_DISABLE_GPU and OXIDE_DISABLE_GPU_COMPOSITING environment
      variables for disabling all GPU features or GPU compositing respectively
    - Fix LP: #1446864 - OxideQQuickScriptMessage::reply doesn't work with
      Qt 5.4
 -- Chris Coulson <email address hidden> Wed, 15 Apr 2015 12:46:56 +0100

Changed in oxide-qt (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxide-qt - 1.6.5-0ubuntu0.14.04.1

---------------
oxide-qt (1.6.5-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Update to v1.6.5
    - see USN-2570-1
    - Bump Chromium rev to 42.0.2311.90
    - Fix LP: #1442398 - Invalid read in CompositorOutputSurfaceGL
    - Fix LP: #1442458 - Minimum page scale shouldn't be 1 on mobile
      form-factors
    - Fix LP: #1400372 - Keyboard re-appears in webbrowser after dismissing
    - Fix LP: #1429135 - webbrowser-app crashed with SIGSEGV in
      XQueryExtension() on Unity 8 desktop
    - Fix LP: #1411159 - Proper fix for shutdown crash in
      content::GpuChannelHost::Send, removing the workaround from the 1.5
      branch
    - Fix LP: #1277659 - Add WebContext.maxCacheSizeHint property, to allow
      applications some control over the network cache size
    - Fix LP: #1427882 - TextureRefHolder will crash if the context is lost
    - Fix LP: #1430478 - Disable the GPU shader cache. Its memory footprint
      makes it inappropriate on mobile devices and it writes the cache to the
      current working directory if WebContext.dataPath isn't set
    - Set the pulse audio media role so that audio output can take part in
      pulse-level stream arbitration
    - Disable webcore debug symbols and link with --no-keep-files-mapped
      on native x86 builds because of linker OOM
    - Add OXIDE_ENABLE_GPU_DEBUGGING environment variable, which corresponds
      to --enable-gpu-debugging in Chrome
    - Fix renderer crash in debug builds when location bar height is set to
      zero
    - Remove a spurious DCHECK that fires sometimes when a render process dies
    - Add resources and strings required for built-in webui (eg, chrome://gpu/)
    - Add OXIDE_ENABLE_GPU_SERVICE_LOGGING environment variable, which
      corresponds to --enable-gpu-service-logging in Chrome
    - Miscellaneous fixes for media-hub audio playback
    - Use base::ThreadRestrictions::ScopedAllowIO when constructing
      net::HttpCache, as that makes use of base::CPU which does IO on Arm.
      Fixes a debug-mode startup abort
    - Various component build fixes
    - Don't statically link base in to oxide-renderer just to call
      SetReleaseFreeMemoryFunction. Instead, expose an API from oxide-core to
      allow oxide-renderer to call this without pulling in its own copy of base
    - Only disable use of EGL_EXT_create_context_robustness and
      GLX_ARB_create_context_robustness when the application provides a share
      context that hasn't been created with these extensions
    - Add OXIDE_DISABLE_GPU_DRIVER_BUG_WORKAROUNDS environment variable
    - Drop support for building with Qt < 5.2
    - Use net::URLRequest::IsHandledProtocol for checking if a scheme is
      builtin
    - Refactor how the GL implementation is selected, simplifying the code.
      Also add OXIDE_DISABLE_GPU and OXIDE_DISABLE_GPU_COMPOSITING environment
      variables for disabling all GPU features or GPU compositing respectively
    - Fix LP: #1446864 - OxideQQuickScriptMessage::reply doesn't work with
      Qt 5.4
 -- Chris Coulson <email address hidden> Wed, 15 Apr 2015 12:51:24 +0100

Changed in oxide-qt (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers